Subject: [os2genau_digest] No. 1028
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Sat, 15 Jan 2005 00:01:06 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Friday 14 January 2005
 Number  1028
**************************************************

Subjects for today
 
1  Re:  HPFS386 and Static IP : Ian Manners" <deadmail>
2  Re:  HPFS386 and Static IP : Ed Durrant <edurrant at bigpond dot net dot au>
3  Re:  HPFS386 and Static IP : Ian Manners" <deadmail>

**= Email   1 ==========================**

Date:  Fri, 14 Jan 2005 00:46:01 +1100 (EDT)
From:  "Ian Manners" <deadmail>
Subject:  Re:  HPFS386 and Static IP

Hi Dennis

> I've just been having a look at Web/2, and while perusing their forum I 
> saw recommendations to ditch HPFS and install HPFS386 instead. There was 
> even a link to it.

Your actually better off with JFS.

Cheers
Ian Manners
http://www.os2site dot com/

All words are pegs on which to hang ideas.
----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Fri, 14 Jan 2005 07:09:04 +1100
From:  Ed Durrant <edurrant at bigpond dot net dot au>
Subject:  Re:  HPFS386 and Static IP

Dennis Nolan wrote:
> I've just been having a look at Web/2, and while perusing their forum I 
> saw recommendations to ditch HPFS and install HPFS386 instead. There was 
> even a link to it.
> 
> Has HPFS been made freely available. And if so why didn't eCS 1.2 have 
> it as an option?
> 
> If it is freely available, are there any gotcha's or problems with LVM?
> 
> Also, as I said I was having a look at Web/2, because it suddenly dawned 
> on me that my broadband connection has a static IP address. Therefore I 
> should be able to set up a web server.
> 
> And I was researching what would be required.
> 
> I tried http'ing the address and arrived at my modem web server.
> 
> Now I assume I have to
> 1    Install Web/2
> 2    turn off port 80 on the WAN side
> 3   Set up the site
> And all is well, except for the important things that I'm ignorant of.
> 
> I have a 4 port Router-Modem, I also have a 4 port router
> Which is the better organization
> 
> Modem-Router connects to a dedicated computer for the Server and to the 
> other router.
> This second router has the house networked computers.
> 
> or
> 
> Just the single router/modem and the dedicated computer connected to the 
> last slot.
> 
> Any advice would be appreciated.
> 
> Regards
> 
> Dennis.
> 

Hi Denis,

  eComstation comes with HPFS but not HPFS386. The 386 component, 
although it also improves performance, is really a function to add extra 
security capabilities into LAN Server. You're better off using JFS.

  I would recomend you look at running Apache/2 as your Webserver. it is 
the de-facto standard across ALL platforms. There are more web servers 
running Apache than any other Web Server. IBM's Web Server is in fact 
Apache, however an old level of it.

  Even if you didn't have a static IP address, you could run a web 
server on your broadband connection (if your ISP allows you to - some, 
such as Optus don't - Telstra Bigpond cable do allow it) - simply use a 
web based dynamic name service such as www.dyndns dot org.

Your router should be configurable so that you can either have access to 
its configuration web page from the Internet or not - I would recommend 
not to have it turned on. You should then be able to configure the 
router to allow your webserver on your internal LAN to be visible from 
the web, often port number switching is used to achieve this. It will 
depend upon the capabilities of your router.  I would avoid having two 
routers unless you know exactly how to configure them to work together. 
The simpler the solution the better.

Cheers/2

Ed.
----------------------------------------------------------------------------------

**= Email   3 ==========================**

Date:  Fri, 14 Jan 2005 10:30:20 +1100 (EDT)
From:  "Ian Manners" <deadmail>
Subject:  Re:  HPFS386 and Static IP

Hi Ed

Even though I run Apache, I've had a look at Web/2 and its quite good,
also native OS/2. Can also run PHP etc. I tried running it but the only
downside was that I cant use Apache style "rewrite" rules. I think its a
lot easier and let setup problems for a home user, or someone just
starting out.

Can always move onto Apache later if the need is there.

On Fri, 14 Jan 2005 07:09:04 +1100, Ed Durrant wrote:

> Dennis Nolan wrote:
> > I've just been having a look at Web/2, and while perusing their forum I 
> > saw recommendations to ditch HPFS and install HPFS386 instead. There was 
> > even a link to it.
> > 
> > Has HPFS been made freely available. And if so why didn't eCS 1.2 have 
> > it as an option?
> > 
> > If it is freely available, are there any gotcha's or problems with LVM?
> > 
> > Also, as I said I was having a look at Web/2, because it suddenly dawned 
> > on me that my broadband connection has a static IP address. Therefore I 
> > should be able to set up a web server.
> > 
> > And I was researching what would be required.
> > 
> > I tried http'ing the address and arrived at my modem web server.
> > 
> > Now I assume I have to
> > 1    Install Web/2
> > 2    turn off port 80 on the WAN side
> > 3   Set up the site
> > And all is well, except for the important things that I'm ignorant of.
> > 
> > I have a 4 port Router-Modem, I also have a 4 port router
> > Which is the better organization
> > 
> > Modem-Router connects to a dedicated computer for the Server and to the 
> > other router.
> > This second router has the house networked computers.
> > 
> > or
> > 
> > Just the single router/modem and the dedicated computer connected to the 
> > last slot.
> > 
> > Any advice would be appreciated.
> > 
> > Regards
> > 
> > Dennis.
> > 
> 
> Hi Denis,
> 
>   eComstation comes with HPFS but not HPFS386. The 386 component, 
> although it also improves performance, is really a function to add extra 
> security capabilities into LAN Server. You're better off using JFS.
> 
>   I would recomend you look at running Apache/2 as your Webserver. it is 
> the de-facto standard across ALL platforms. There are more web servers 
> running Apache than any other Web Server. IBM's Web Server is in fact 
> Apache, however an old level of it.
> 
>   Even if you didn't have a static IP address, you could run a web 
> server on your broadband connection (if your ISP allows you to - some, 
> such as Optus don't - Telstra Bigpond cable do allow it) - simply use a 
> web based dynamic name service such as www.dyndns dot org.
> 
> Your router should be configurable so that you can either have access to 
> its configuration web page from the Internet or not - I would recommend 
> not to have it turned on. You should then be able to configure the 
> router to allow your webserver on your internal LAN to be visible from 
> the web, often port number switching is used to achieve this. It will 
> depend upon the capabilities of your router.  I would avoid having two 
> routers unless you know exactly how to configure them to work together. 
> The simpler the solution the better.
> 
> Cheers/2
> 
> Ed.

>  

Cheers
Ian Manners
http://www.os2site dot com/

User Error: Replace user.
----------------------------------------------------------------------------------